Interface OrderDetails
- All Known Implementing Classes:
OrderDetailsJson
public interface OrderDetails
The full details of an Equinix Internet Access (EIA) v1 order, as returned by the single get
(
GET /internetAccess/v1/orders/{orderUUID}).
This is a read-only response view.
-
Method Details
-
getHref
String getHref()- Returns:
- the URI of the order
-
getUuid
String getUuid()- Returns:
- the unique identifier of the order
-
getNumber
String getNumber()- Returns:
- the order number
-
getType
ServiceOrderType getType()- Returns:
- the order type (
NEWorAMENDMENT)
-
getContacts
List<OrderContact> getContacts()- Returns:
- the contacts associated with the order
-
getDraft
Boolean getDraft()- Returns:
- whether the order is a draft
-
getLinks
-
getPurchaseOrder
OrderPurchaseOrder getPurchaseOrder()- Returns:
- the purchase order referenced by the order
-
getReferenceNumber
String getReferenceNumber()- Returns:
- the customer reference number of the order
-
getSignature
OrderSignature getSignature()- Returns:
- the signature configuration of the order
-
getStatus
OrderState getStatus()- Returns:
- the processing status of the order
-
getChangeLog
OrderChangeLog getChangeLog()- Returns:
- the audit trail of the order
-
getTags
-